from __future__ import print_function
import numpy as np
import pickle
#from transport.calculators import TransportCalculator
from gpaw import GPAW
#from transport.lcao.principallayer import PrincipalSelfEnergy as PS
#from transport.greenfunction import RecursiveGF, GreenFunction
#from transport import mpi

from transport.calculators import TransportCalculator
from matplotlib import pyplot as plt

energies = np.arange(-4, 3, 0.01)

h, s = pickle.load(open('hs_scat.pckl','rb'))
h1, s1 = pickle.load(open('hs_princ.pckl','rb'))
scalc = GPAW('scatt.gpw',txt=None)

indices_C = np.where(scalc.atoms.symbols=='C')[0]

tcalc = TransportCalculator(h=h.astype(complex),s=s.astype(complex),
        h1=h1,s1=s1,align_bf=0)

tcalc.initialize()

gf = tcalc.greenfunction

gf.take_bfs_activespace(scalc, indices_C, lambda x: abs(x)<3.5)

tcalc.set(energies=energies)
tcalc.update()

pickle.dump((tcalc.energies, tcalc.T_e), open('ET_pz.pckl', 'wb'), 2)
plt.plot(tcalc.energies,tcalc.T_e)
plt.savefig('ET_pz.png')
plt.close()
